Update Digest Config
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/digest-config \
--header 'Content-Type: application/json' \
--data '
{
"digestEnabled": true,
"digestWebhookUrl": {},
"digestWebhookSecret": {},
"digestScheduleHour": 123,
"digestTimezone": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/digest-config"
payload = {
"digestEnabled": True,
"digestWebhookUrl": {},
"digestWebhookSecret": {},
"digestScheduleHour": 123,
"digestTimezone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
digestEnabled: true,
digestWebhookUrl: {},
digestWebhookSecret: {},
digestScheduleHour: 123,
digestTimezone: '<string>'
})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/digest-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"digestEnabled": true,
"digestWebhookUrl": {},
"digestWebhookSecret": {},
"digestScheduleHour": {},
"digestTimezone": {}
}Space Endpoints
Update Digest Config
Update the digest/newsletter configuration for a space
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
digest-config
Update Digest Config
Updates the digest configuration for a space. Only space admins can perform this action. All fields are optional.
See also: useUpdateDigestConfig
Path Parameters
string
required
UUID of the space.
Body Parameters
boolean
Enable or disable digest delivery.
string | null
URL to send digest payloads to. Pass
null to clear.string | null
Webhook signing secret. Pass
null to clear.number
UTC hour (0–23) for delivery. Pass
null to clear.string
IANA timezone string. Pass
null to clear.Response
Returns the updated digest configuration:boolean
Whether digest delivery is currently enabled.
string | null
The configured delivery URL.
string | null
Masked as
"••••••••" when a secret is configured. Never returned in plain text.number | null
UTC hour (0–23) of delivery.
string | null
IANA timezone string.
Error Responses
Plan Required — 403
Plan Required — 403
{ "error": "Space digests are only available on Pro and Growth plans." }
Validation Error — 400
Validation Error — 400
When
digestEnabled is being set to true but one or more of digestWebhookUrl, digestWebhookSecret, digestScheduleHour, or digestTimezone are missing.{ "error": "All digest config fields (digestWebhookUrl, digestWebhookSecret, digestScheduleHour, digestTimezone) must be set when enabling digest." }
⌘I

